Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
gs segfaults
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
_savage
Guru
Guru


Joined: 06 Jun 2004
Posts: 308
Location: Redmond, WA

PostPosted: Thu Jun 17, 2004 3:06 am    Post subject: gs segfaults Reply with quote

i installed gv, gnome and ghostscript. when i try to open a .ps (or .pdf file, for that matter) gs crashes

savage@tigger wcre2004 $ gs wcre2004.ps
ESP Ghostscript 7.07 (2003-07-12)
Copyright 2003 artofcode LLC and Easy Software Products, all rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Segmentation fault

gv thus pops up a window "Error: postscript interpreter failed", and ggv does nothing. interestingly, they show the correct number of pages. my USE settings are "gtk gnome -qt -kde alsa cdr", and CFLAGS is set to "-O2 -mcpu=G4 -mtune=G4 -maltivec -mabi=altivec -pipe -fomit-frame-pointer".

does anybody have the same problems, and even better, have a fix? i run on a 1ghz TiBook.


thanks heaps,
jens
_________________
Jens Troeger
http://savage.light-speed.de/
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Thu Jun 17, 2004 5:22 am    Post subject: Reply with quote

On every .ps? That's very strange. I noticed your CFLAG if you
are using gcc3.3.3 (or gcc>3.3) you also should include
"-fno-strict-aliasing". I am not sure that would solve your problem
but if you are using gcc3.3.3 that's worth trying.
Back to top
View user's profile Send private message
blubbfisch
n00b
n00b


Joined: 19 Oct 2003
Posts: 55
Location: World->Pacific->New Zealand->Hamilton

PostPosted: Thu Jun 17, 2004 6:30 am    Post subject: Reply with quote

on
https://bugs.gentoo.org/show_bug.cgi?id=49227

is a temporary solution

Have fun*
Back to top
View user's profile Send private message
_savage
Guru
Guru


Joined: 06 Jun 2004
Posts: 308
Location: Redmond, WA

PostPosted: Sat Jun 19, 2004 4:36 pm    Post subject: Reply with quote

blubbfisch wrote:
on https://bugs.gentoo.org/show_bug.cgi?id=49227 is a temporary solution


thanks. it says i'd install an older ebuild, and it gives the url of it. but i can't quite find it there! does anybody have another pointer?

jens
_________________
Jens Troeger
http://savage.light-speed.de/
Back to top
View user's profile Send private message
frankOnPPC
Apprentice
Apprentice


Joined: 26 May 2003
Posts: 169
Location: Fulda, Hessen, Germany, Europe, Earth

PostPosted: Sun Jun 20, 2004 10:35 pm    Post subject: Reply with quote

try this one for a 7.05
http://www.gentoo.org/cgi-bin/viewcvs.cgi/app-text/ghostscript/Attic/ghostscript-7.05.ebuild
just download it to your portage tree to (if you don't changed it) /usr/portage/app-text/ghostscript
A better way would be download it to yur private tree.
Don't forget, after downloading it, a emerge sync would possilbly clean it out.
so, download it, save it, emerge this ghostscript.
I mentioned a 7.06 version that I tried on the bugzilla,
I got this redirected from www.cups.org (and they have a link to ghostscript, so you can download it there, don't forget to emerge -insert it, otherwise it wouldn't be realized. but, ok, if it prints, who cares....)

cheers,
frank
_________________
always look at yellow site of Linux on the PPC.
Its PPCNUX.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum